# NOTE: Derived from blib/lib/Data/Validate/IP.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Data::Validate::IP;

#line 235 "blib/lib/Data/Validate/IP.pm (autosplit into blib/lib/auto/Data/Validate/IP/is_private_ipv4.al)"
# -------------------------------------------------------------------------------
#
#=pod
#
#=item B<is_ipv6> - does the value look like an ip v6 address?
#                
#  is_ipv6($value);
#                
#=over 4
#
#=item I<Description>  
#
#Returns the untainted ip address if the test value appears to be a well-formed
#ip address.
#
#=item I<Arguments>
#
#=over 4
#
#=item $value
#
#The potential ip to test.
#
#=back
#
#=item I<Returns>
#
#Returns the untainted ip on success, undef on failure.
#
#=item I<Notes, Exceptions, & Bugs>
#
#The function does not make any attempt to check whether an ip
#actually exists. It only looks to see that the format is appropriate.
#All the real work for this is done by Net::IPv6Addr.
#
#=back
#
#=cut
#
#
#
#
#sub is_ipv6 {
#        my $self = shift if ref($_[0]); 
#        my $value = shift;
#        
#        return unless defined($value);
#	my $return = Net::IPv6Addr::is_ipv6($value);;
#	return $return;
#}



sub is_private_ipv4 {
        my $self = shift if ref($_[0]); 
        my $value = shift;
        
        return unless defined($value);

	my $ip = is_ipv4($value);
	return unless defined $ip;

	return unless Net::Netmask::findNetblock($ip,_mask('private'));
	return $ip;
}

# end of Data::Validate::IP::is_private_ipv4
1;
